> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Importer des fichiers ZIP (plus de 6 Mo)

En raison d’une limitation technique du fournisseur cloud AWS, le téléversement de fichiers de plus de 6 Mo doit se faire en 2 étapes :

#### **1. Demandez le lien pré-signé pour effectuer ensuite le téléversement direct.** <a href="#step1" id="step1"></a>

En entrée :

* `fileType` - `yield` OU `soil` OU `applied` OU `adapt` OU `boundary`,
* `farmUuid` (facultatif) : UUID de l’exploitation agricole à laquelle importer le fichier.

En sortie :

* `uuid` - l’UUID attendu après le téléversement et le traitement,
* `farmUuid` - identique à la valeur d’entrée,
* `fileType` - identique à la valeur d’entrée,
* `s3Url` - l’URL utilisée pour téléverser le fichier,
* `s3Fields` - les attributs à transmettre dans le formulaire de téléversement du fichier.

La procédure d’utilisation de `s3Url` et de `s3Fields` est décrite à la deuxième étape.

Les attributs ne sont valides que pendant 60 minutes pour téléverser le fichier.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Envoyez un fichier local vers s3Url avec les attributs de formulaire prédéfinis de s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Les notifications concernant le traitement seront envoyées via le mécanisme d’abonnement décrit dans\
[1. Abonnement : recevoir des événements](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
L’en-tête de réponse comprend un en-tête `Etag` qui se présente, par exemple, comme suit : `Etag: "6fd3e76992738357ab50039f2c60024e"`. Cette valeur est ensuite utilisée dans GraphQL [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) pour suivre la progression du traitement, ainsi que l’association avec les entités « Field », « AsAppliedDataset », « YieldDataset » et « SoilDataset ».
{% endhint %}

{% hint style="info" %}
Utilisez `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
